Skip to main content

List of regions

OpenAPI Specification

Regions directory (2.0)

2GIS API Support: api@2gis.ru URL: https://docs.2gis.com

Regions

Getting a list of regions according to parameters

Provides a list of all existing regions for the specified parameters.

query Parameters
key
required
string

A unique key of API user.

page
integer
Default: 1

The number of the requested page.

page_size
integer [ 1 .. 2000 ]
Default: 1000

Number of search results displayed on one page.

locale
string
Examples:
  • locale=ar_AE - Arabic for the UAE
  • locale=ru_RU - Russian for Russia

The locale with which the search is performed and given results.

List of available locales:

  • ar_AE — Arabic (UAE);
  • ar_BH — Arabic (Bahrain);
  • ar_EG — Arabic (Egypt);
  • ar_IQ — Arabic (Iraq);
  • ar_KW — Arabic (Kuwait);
  • ar_MA — Arabic (Morocco);
  • ar_OM — Arabic (Oman);
  • ar_QA — Arabic (Qatar);
  • ar_RU — Arabic (Russia);
  • ar_SA — Arabic (Saudi Arabia);
  • az_AZ — Azerbaijani (Azerbaijan);
  • cs_CZ — Czech (Czech Republic);
  • cs_RU — Czech (Russia);
  • en_AM — English (Armenia);;
  • en_AE — English (UAE);
  • en_BH — English (Bahrain);
  • en_CN — English (China);
  • en_CY — English (Cyprus);
  • en_EG — English (Egypt);
  • en_IQ — English (Iraq);
  • en_KW — English (Kuwait);
  • en_MA — English (Morocco);
  • en_MN — English (Mongolia);
  • en_OM — English (Oman);
  • en_QA — English (Qatar);
  • en_RU — English (Russia);
  • en_SA — English (Saudi Arabia);
  • es_CL — Spanish (Cyprus);
  • es_RU — Spanish (Russia);
  • hy_AM — Armenian (Armenia);
  • it_IT — Italian (Italy);
  • it_RU — Italian (Russia);
  • ka_GE — Georgian (Georgia);
  • kk_KZ — Kazakh (Kazakhstan);
  • ky_KG — Kyrgyz (Kyrgyzstan);
  • mn_MN — Mongolian (Mongolia);
  • ru_AM — Russian (Armenia);
  • ru_AZ — Russian (Azerbaijan);
  • ru_BY — Russian (Belarus);
  • ru_CN — Russian (China);
  • ru_GE — Russian (Georgia);
  • ru_KG — Russian (Kyrgyzstan);
  • ru_KZ — Russian (Kazakhstan);
  • ru_RU — Russian (Russia);
  • ru_TJ — Russian (Tajikistan);
  • ru_UZ — Russian (Uzbekistan);
  • tg_TJ — Tajik (Tajikistan);
  • uz_UZ — Uzbek (Uzbekistan);
  • zh_CN — Chinese (China).
locale_filter
Array of strings
Example: locale_filter=ru_RU

Comma-separated list of locales to filter by.

country_code_filter
Array of strings
Example: country_code_filter=ru

List of country codes separated by commas that you use to filter.

fields
Array of strings

Additional fields to be displayed in the response should be separated by commas.

List of available fields:

  • items.name_grammatical_cases — declination of the region name;
  • items.domain — domain value;
  • items.locales — the list of locales for which you can search for the region;
  • items.time_zone — time zone;
  • items.bounds — geometry of the project boundaries in the WKT format;
  • items.statistics — statistics for the region;
  • items.locale — the current locale for the region;
  • items.settlements — a list of satellite cities;
  • items.satellites — list of satellite cities as objects;
  • items.code — region code;
  • items.uri_code — the region code that will be displayed in the domain;
  • items.uri_aliases — set of region aliases;
  • items.allow_for_indexing — the list of project languages allowed for indexing;
  • items.country_code — country code;
  • items.default_pos — default position for displaying the project;
  • items.zoom_level — zoom level;
  • items.flags — indicators of the presence of certain information in the region;
  • items.seo — additional fields for SEO;
  • items.hidden — a flag indicating whether the project is hidden;
  • items.weights_time — the time of the last update of advertising weights in Unix timestamp format.
type
Array of strings
Default: "region"
Examples:
  • type=region,segment - An example of multiple types
  • type=region - An example of a single type

Filter by object type, comma-separated.

The list of available types:

  • region — region;
  • segment — segment;
  • universe — universe.

Responses

Response Schema:
required
object

Response metadata.

required
object

Main result

Response samples

Content type
{
  • "meta": {
    • "api_version": "dev",
    • "code": 0,
    • "issue_date": "string"
    },
  • "result": {
    • "items": [
      ],
    • "total": 1
    }
}